CollectionTLPS {cheddar} | R Documentation

## Collection trophic-link properties

### Description

Returns a `data.frame` of first-class and computed trophic-link properties of communities in a `CommunityCollection`.

### Usage

    CollectionTLPS(collection, node.properties=NULL, link.properties=NULL)

### Arguments

`collection` | an object of class `CommunityCollection`.
`node.properties` | the names of the node properties to return. Should meet the critera of the `node.properties` parameter of `TLPS`.
`link.properties` | the names of the trophic link properties to return. Should meet the critera of the `link.properties` parameter of `TLPS`.

### Details

This function is named CollectionTLPS for Collection Trophic Link PropertieS. It returns a `data.frame` containing the columns ‘resource’ and ‘consumer’ and any requested node and trophic-link properties. If `node.properties` and `link.properties` are both `NULL` then all first-class trophic-link properties are included in the returned `data.frame`.

### Value

A `data.frame`.

### Author(s)

Lawrence Hudson

### See Also

`TLPS`, `CommunityCollection`

### Examples

    data(pHWebs)

    # Just community, resource and consumer
    head(CollectionTLPS(pHWebs), 10)

    # The M of the resource and consumer in each link
    head(CollectionTLPS(pHWebs, node.properties='M'), 10)

[Package cheddar version 0.1-633 Index]